@charset "utf-8";
/* CSS Document */

/* PC時からハンバーガーメニューの場合は#sp_boxのみ削除  */

/*****************************************************************
#open_menu {
	display:none;
}

	色の設定

******************************************************************/
/* ハンバーガーメニューの線 */
#spicon span{
	border-bottom:2px solid #FFF;
}
/* ハンバーガーメニュー【MENU】のテキスト色（いらない場合はdisplay:none;） */
#spicon:before{
	font-family: "Anton-Regular";
    color: #FFF;
}
/* 開閉後の背景の色 */
#center_box {
    background-color: #1b1b1c;
}
/* テキストメニューの色 */
.page_link a {
    color: #FFF;
}

/**************************************
	ハンバーガーアイコン
***************************************/

#spicon {
	position:fixed;
	right:40px;
	top:50px;
	background-position:50% 0;
	background-repeat:no-repeat;
	background-size:cover;
	width:70px;
	height:50px;
	z-index:9999;
	cursor:pointer;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 0 0 30px;
}
#spicon:before {
    content: "MENU";
    position: absolute;
	bottom:-5px;
    left: 0;
    width: 100%;
    text-align: center;
    font-size: 18px;
	transition: all .4s;
    letter-spacing: 0.12em;
}
#spicon span {
	width:100%;
	height:2px;
	transition: all .4s;
}

/* ボタンを押した後のボタンのスタイル */
#spicon.m_active span:nth-child(1) {
    transform: translateY(12px) rotate(-20deg);
}

#spicon.m_active span:nth-child(2) {
    transform: translateY(-6px) rotate(-160deg);
}

#spicon.m_active:before {
    content: "CLOSE";
}


/**************************************
	メニューオープン
***************************************/


#open_menu {
	background-position:50% 0;
	background-repeat:no-repeat;
	background-size:cover;
	position:fixed;
	z-index:9990;
	top:0;
	left:0;
	width:100%;
}


/***********/

#center_box {
	position:fixed;
	left:0;
	top:0;
	width:100%;
	margin:0;
	height:0;
	display:block;
	overflow-y:scroll;
    transition: 0.3s ease 0.45s;
}
#center_box::-webkit-scrollbar {
    display: none;
}
.menuOpen #center_box {
    transition: 0.3s ease;
	padding:150px 0;
    height: 100%;
}
@keyframes centerBox {
    0% {
        height:0;
    }
    100% {
        height:100%;
    }
}

#close {
	position:absolute;
	text-align:center;
	bottom:-20px;
	left:0;
	width:100%;
	color:#21ceb2;
	font-size:20px;
}

/**************************************
	MENUの中身
***************************************/

.m_width {
	width:90%;
	max-width:1280px;
	margin:0 auto;
}

.sp_flex {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.sp_flex > p {
    width: 49%;
    opacity: 0;
    transform: translateY(10px);
    transition: 0.3s ease 0s;
}
.menuOpen .sp_flex > p{
    opacity: 1;
    transform: translateY(0);
}

.sp_flex > p:nth-child(1) {
    transition-delay: 0.2s;
}
 .sp_flex > p:nth-child(2) {
    transition-delay: 0.2s;
}
.sp_flex > p:nth-child(3) {
    transition-delay: 0.15s;
}
.sp_flex > p:nth-child(4) {
    transition-delay: 0.15s;
}
.sp_flex > p:nth-child(5) {
    transition-delay: 0.1s;
}
.sp_flex > p:nth-child(6) {
    transition-delay: 0.1s;
}
.sp_flex > p:nth-child(7) {
    transition-delay: 0.05s;
}
.sp_flex > p:nth-child(8) {
    transition-delay: 0.05s;
}
.sp_flex > p:nth-child(9) {
    transition-delay: 0s;
}
.sp_flex > p:nth-child(10) {
    transition-delay: 0s;
}


.menuOpen .sp_flex > p:nth-child(1) {
    transition-delay: 0.5s;
}
.menuOpen .sp_flex > p:nth-child(2) {
    transition-delay: 0.5s;
}
.menuOpen .sp_flex > p:nth-child(3) {
    transition-delay: 0.55s;
}
.menuOpen .sp_flex > p:nth-child(4) {
    transition-delay: 0.55s;
}
.menuOpen .sp_flex > p:nth-child(5) {
    transition-delay: 0.6s;
}
.menuOpen .sp_flex > p:nth-child(6) {
    transition-delay: 0.6s;
}
.menuOpen .sp_flex > p:nth-child(7) {
    transition-delay: 0.65s;
}
.menuOpen .sp_flex > p:nth-child(8) {
    transition-delay: 0.65s;
}
.menuOpen .sp_flex > p:nth-child(9) {
    transition-delay: 0.7s;
}
.menuOpen .sp_flex > p:nth-child(10) {
    transition-delay: 0.75s;
}
.menuOpen .sp_flex > p:nth-child(11) {
    transition-delay: 0.8s;
}
.menuOpen .sp_flex > p:nth-child(12) {
    transition-delay: 0.85s;
}
.menuOpen .sp_flex > p:nth-child(13) {
    transition-delay: 0.9s;
}
.menuOpen .sp_flex > p:nth-child(14) {
    transition-delay: 0.95s;
}
.sp_flex a {
	display: block;
	border-bottom: 1px solid #FFF;
    padding: 45px 0;
    color: #FFF;
    font-size: 18px;
}
.sp_flex .font_anton {
    font-size: 17px;
	letter-spacing: 0.1em;
	padding-left: 3px;
}

.sp_flex .ja {
    font-size: 26px;
}


.sp_insta_flex {
	margin-top: 60px;
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap;
	gap: 20px;
    opacity: 0;
    transform: translateY(10px);
    transition: 0.3s ease 0s;
}
.menuOpen .sp_insta_flex {
	opacity: 1;
	transform: translateY(0);
	transition-delay: 0.8s;
}
.sp_insta_flex a {
	display: flex;
	align-items: center;
	column-gap: 10px;
	color: #FFF;
	border-bottom: 1px solid #FFF;
	padding-bottom: 5px;
}
.sp_insta_flex img {
	width: 23px;
	height: auto;
}


@media only screen and (max-width: 1024px){
#sp_box {
	display:block;
}    
 
#spicon {
	top:40px;
}

    
}

@media only screen and (max-width: 740px){
 
#spicon {
	right:30px;
	top:30px;
}
 
/***********/
#center_box {
    transition: 0.3s ease 0.6s;
}

.menuOpen #center_box {
    padding: 80px 0;
}
/**************************************
	MENUの中身
***************************************/

.m_width {
	width:88%;
}

.sp_flex {
    display: block;
}
.sp_flex > p {
    width: 100%;
}
.sp_flex a {
    padding: 30px 0;
    font-size: 18px;
}
.sp_flex .font_anton {
    font-size: 14px;
}

.sp_flex > p:nth-child(1) {
    transition-delay: 0.45s;
}
 .sp_flex > p:nth-child(2) {
    transition-delay: 0.4s;
}
.sp_flex > p:nth-child(3) {
    transition-delay: 0.35s;
}
.sp_flex > p:nth-child(4) {
    transition-delay: 0.3s;
}
.sp_flex > p:nth-child(5) {
    transition-delay: 0.25s;
}
.sp_flex > p:nth-child(6) {
    transition-delay: 0.2s;
}
.sp_flex > p:nth-child(7) {
    transition-delay: 0.15s;
}
.sp_flex > p:nth-child(8) {
    transition-delay: 0.1s;
}
.sp_flex > p:nth-child(9) {
    transition-delay: 0.05s;
}
.sp_flex > p:nth-child(10) {
    transition-delay: 0s;
}


.menuOpen .sp_flex > p:nth-child(1) {
    transition-delay: 0.4s;
}
.menuOpen .sp_flex > p:nth-child(2) {
    transition-delay: 0.45s;
}
.menuOpen .sp_flex > p:nth-child(3) {
    transition-delay: 0.5s;
}
.menuOpen .sp_flex > p:nth-child(4) {
    transition-delay: 0.55s;
}
.menuOpen .sp_flex > p:nth-child(5) {
    transition-delay: 0.6s;
}
.menuOpen .sp_flex > p:nth-child(6) {
    transition-delay: 0.65s;
}
.menuOpen .sp_flex > p:nth-child(7) {
    transition-delay: 0.7s;
}
.menuOpen .sp_flex > p:nth-child(8) {
    transition-delay: 0.75s;
}
.menuOpen .sp_flex > p:nth-child(9) {
    transition-delay: 0.8s;
}
.menuOpen .sp_flex > p:nth-child(10) {
    transition-delay: 0.85s;
}
.sp_insta_flex {
	margin-top: 40px;
	gap: 20px;
    opacity: 0;
    transform: translateY(10px);
    transition: 0.3s ease 0.8s;
}
.sp_insta_flex p {
	width: 100%;
}
.sp_insta_flex a {
	width: max-content;
}

}


